Page MenuHomePhabricator

WikiCite open registration and announcement
Closed, ResolvedPublic

Description

Set up the registration process for WikiCite and make some targeted announcement via mailing lists once the form is open.

Tentative date for the announcement: Monday March 28

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 10:15 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 11:48 PM
ggellerman closed this task as Resolved.Apr 29 2016, 10:14 PM
ggellerman edited projects, added Research-Archive; removed Research.